> ## Documentation Index
> Fetch the complete documentation index at: https://openlayer.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete record

> Delete a record by its ID from a data source (formerly known as "inference pipeline").



## OpenAPI

````yaml delete /inference-pipelines/{inferencePipelineId}/rows/{inferenceId}
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /inference-pipelines/{inferencePipelineId}/rows/{inferenceId}:
    delete:
      tags:
        - Monitoring
      summary: Delete a row
      description: Delete a row by inference ID.
      parameters:
        - $ref: '#/components/parameters/inferencePipelineId'
        - name: inferenceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Row successfully deleted.
        '403':
          description: Forbidden. Only project admins can delete rows.
        '404':
          description: Row not found.
        default:
          $ref: '#/components/responses/UnexpectedError'
      x-codeSamples:
        - lang: python
          source: |
            from openlayer import Openlayer

            client = Openlayer()

            client.inference_pipelines.rows.delete(
                "0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
                inference_pipeline_id="c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
            )
        - lang: typescript
          source: >
            import Openlayer from 'openlayer';


            const client = new Openlayer();


            await
            client.inferencePipelines.rows.delete('0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f',
            {
              inferencePipelineId: 'c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f',
            });
        - lang: go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/openlayer-ai/openlayer-go\"\n)\n\nclient := openlayer.NewClient()\nerr := client.InferencePipelines.Rows.Delete(\n\tcontext.TODO(),\n\t\"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f\",\n\t\"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f\",\n)\nif err != nil {\n\tpanic(err.Error())\n}\n"
        - lang: java
          source: >
            import com.openlayer.api.client.OpenlayerClient;

            import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;

            import
            com.openlayer.api.models.inferencepipelines.rows.RowDeleteParams;


            OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();


            RowDeleteParams params = RowDeleteParams.builder()
                .inferencePipelineId("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
                .inferenceId("0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f")
                .build();
            client.inferencePipelines().rows().delete(params);
        - lang: ruby
          source: |
            require "openlayer"

            openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])

            openlayer.inference_pipelines.rows.delete(
              "0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
              inference_pipeline_id: "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"
            )
        - lang: curl
          source: |
            curl --request DELETE \
              --url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
              --header 'Authorization: Bearer <token>'
components:
  parameters:
    inferencePipelineId:
      name: inferencePipelineId
      in: path
      description: The inference pipeline id (a UUID).
      required: true
      schema:
        type: string
        format: uuid
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.